# SebastianBergmann\FinderFacade\FinderFacade

#### Convenience wrapper for Symfony's Finder component.

- Author: Sebastian Bergmann <sebastian@phpunit.de>
- Copyright: Sebastian Bergmann <sebastian@phpunit.de>
- License: http://www.opensource.org/licenses/BSD-3-Clause The BSD 3-Clause License

## Synopsis

class FinderFacade {

- // members
- protected array $items = ;
- protected array $excludes = ;
- protected array $names = ;
- protected array $notNames = ;
- protected array $regularExpressionsExcludes = ;

- // methods
- public void __construct()
- public array findFiles()
- public void loadConfiguration()

}

## Members

#### protected

- $excludes — array
- $items — array
- $names — array
- $notNames — array
- $regularExpressionsExcludes — array

## Methods

#### public

- __construct()
- findFiles()
- loadConfiguration()